package com.rf.psychological.scale.service;

import com.rf.psychological.dao.model.HearingTestEntity;

import java.util.List;

/**
 * @author zsy
 * @description:
 * @date 2021/5/14 10:49
 */
public interface HearingTestService {


    /**
     * 保存
     * @param hearingTestEntity
     */
    void save(HearingTestEntity hearingTestEntity);

    /**
     * 根据id修改状态
     * @param id
     */
    void updateStatus(String id);

    /**
     * 根据phone获取用户进行中任务
     * @param phone
     */
    List<HearingTestEntity> getHearingTestList(String phone);

    /**
     * 清除进行中任务
     * @param
     */
    void clearHearing(String phone);
}
